Bug 1945373 (CVE-2021-29648) - CVE-2021-29648 kernel: DoS due to BPF subsystem does not properly consider that resolved_ids and resolved_sizes are intentionally uninitialized in the vmlinux BPF
Summary: CVE-2021-29648 kernel: DoS due to BPF subsystem does not properly consider th...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-29648
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1945374 1946676
Blocks: 1945375
TreeView+ depends on / blocked
 
Reported: 2021-03-31 18:19 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-04-08 13:35 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. The BPF subsystem does not properly consider that resolved_ids and resolved_sizes are intentionally uninitialized in the vmlinux BPF Type Format (BTF), which can cause a system crash upon an unexpected access attempt.
Clone Of:
Environment:
Last Closed: 2021-04-06 16:10:43 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-03-31 18:19:25 UTC
An issue was discovered in the Linux kernel before 5.11.11. The BPF subsystem does not properly consider that resolved_ids and resolved_sizes are intentionally uninitialized in the vmlinux BPF Type Format (BTF), which can cause a system crash upon an unexpected access attempt (in map_create in kernel/bpf/syscall.c or check_btf_info in kernel/bpf/verifier.c).

Reference and upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=350a5c4dd2452ea999cc5e1d4a8dbf12de2f97ef

Comment 1 Guilherme de Almeida Suckevicz 2021-03-31 18:20:16 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1945374]

Comment 2 Fedora Update System 2021-04-02 00:17:15 UTC
FEDORA-2021-41fb54ae9f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2021-04-02 01:14:24 UTC
FEDORA-2021-6b0f287b8b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2021-04-02 01:21:28 UTC
FEDORA-2021-2306e89112 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.